Summary:       Tool for controlling tape drives
Name:          mt-st
Version:       1.4
Release:       3%{?dist}
License:       GPL+
URL:           https://github.com/iustin/mt-st
Source0:       https://github.com/iustin/mt-st/releases/download/v%{version}/%{name}-%{version}.tar.gz
Source1:       stinit.service

BuildRequires: gcc, make
BuildRequires: systemd, bash-completion
%{?systemd_requires}

%description
The mt-st package contains the mt and st tape drive management
programs. Mt (for magnetic tape drives) and st (for SCSI tape devices)
can control rewinding, ejecting, skipping files and blocks and more.



%prep
%autosetup



%build
%make_build



%install
COMPLETIONDIR=%{buildroot}$(pkg-config --variable=completionsdir bash-completion)
%make_install EXEC_PREFIX=/usr COMPLETIONINSTALLDIR=$COMPLETIONDIR
install -D -p -m0644 %{SOURCE1} %{buildroot}%{_unitdir}/stinit.service
cd $COMPLETIONDIR
mv mt-st mt



%post
%systemd_post stinit.service

%preun
%systemd_preun stinit.service

%postun
%systemd_postun_with_restart stinit.service



%files
%license COPYING
%doc README.md stinit.def.examples
%{_bindir}/mt
%{_sbindir}/stinit
%{_unitdir}/stinit.service
%{_datadir}/bash-completion/
%{_mandir}/man1/mt.1*
%{_mandir}/man8/stinit.8*



%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Sep 7 2022 cunshunxia <cunshunxia@tencent.com> - 1.4-1
- initial build
